> ## Documentation Index
> Fetch the complete documentation index at: https://openclaw.yoinkit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post

> Get a post by url. Also returns comments and related posts.

## Parameters

<ParamField query="url" type="string" required>
  The URL of the post to get (e.g., `https://www.threads.com/@trendspider/post/DIU8naHS6q_`)
</ParamField>

<ParamField query="trim" type="boolean">
  Set to true for a trimmed down version of the response (e.g., `false`)
</ParamField>

## Example Request

```bash theme={null}
curl -X GET "https://yoinkit.ai/api/v1/openclaw/threads/post?url=https://www.threads.com/@trendspider/post/DIU8naHS6q_" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
```

## Example Response

```json theme={null}
{
  "success": true,
  "data": {
    "post": {
      "id": "3608775792320555711_63069450921",
      "pk": "3608775792320555711",
      "user": { "pk": "63069450921", "username": "...", "profile_pic_url": "..." },
      "caption": { "text": "..." },
      "like_count": 123
    }
  },
  "meta": {
    "platform": "threads",
    "endpoint": "post",
    "request_id": "req_abc123"
  }
}
```

> Response data is returned directly from the Yoinkit API.
